<?php
/**
 * Copyright 2018 Huawei Technologies Co.,Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of the
 * License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 *
 */


require_once "./HWOcrClient/HWOcrClientAKSK.php";
require_once "./HWOcrClient/HWOcrClientToken.php";

function TokenRequest() {
    $domainName = "xxx";
    $username = "xxx";
    $password = "xxx";
    $regionName = "ap-southeast-1";
    $uri = "/v1.0/ocr/passport";
    $imagePath = __DIR__.'/data/passport-demo.jpg';
    $option = [];
    //$option["country_code"] = "GENERAL";

    $ocrServer = new HWOcrClientToken(
        $username,
        $password,
        $domainName,
        $regionName,
        $uri
    );

    $result =  $ocrServer->RequestOcrResult($imagePath, $option);
    echo $result;
}

function AkskRequest() {
    $appKey = "xxx";
    $appSecret = "xxx";
    $regionName = "ap-southeast-1";
    $uri = "/v1.0/ocr/passport";
    $imagePath = __DIR__.'/data/passport-demo.jpg';
	$option = [];
	//$option["country_code"] = "GENERAL";

    $akskAuth = new HWOcrClientAKSK(
        $appKey,
        $appSecret,
        $regionName,
        $uri
    );
    $result =  $akskAuth->RequestOcrAkSkService($imagePath, $option);
    echo $result;
}

TokenRequest();
AkskRequest();